LMOtsParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.lms

## Class LMOtsParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.lms.LMOtsParameters

-     public class LMOtsParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `reserved`
    `static LMOtsParameters` | `sha256_n24_w1`
    `static LMOtsParameters` | `sha256_n24_w2`
    `static LMOtsParameters` | `sha256_n24_w4`
    `static LMOtsParameters` | `sha256_n24_w8`
    `static LMOtsParameters` | `sha256_n32_w1`
    `static LMOtsParameters` | `sha256_n32_w2`
    `static LMOtsParameters` | `sha256_n32_w4`
    `static LMOtsParameters` | `sha256_n32_w8`
    `static LMOtsParameters` | `shake256_n24_w1`
    `static LMOtsParameters` | `shake256_n24_w2`
    `static LMOtsParameters` | `shake256_n24_w4`
    `static LMOtsParameters` | `shake256_n24_w8`
    `static LMOtsParameters` | `shake256_n32_w1`
    `static LMOtsParameters` | `shake256_n32_w2`
    `static LMOtsParameters` | `shake256_n32_w4`
    `static LMOtsParameters` | `shake256_n32_w8`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LMOtsParameters(int type, int n, int w, int p, int ls, int sigLen, ASN1ObjectIdentifier digestOID)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1ObjectIdentifier` | `getDigestOID()`
    `int` | `getLs()`
    `int` | `getN()`
    `int` | `getP()`
    `static LMOtsParameters` | `getParametersForType(int type)`
    `int` | `getSigLen()`
    `int` | `getType()`
    `int` | `getW()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reserved

          public static final int reserved

      See Also:
        Constant Field Values

    - #### sha256_n32_w1

          public static final LMOtsParameters sha256_n32_w1

    - #### sha256_n32_w2

          public static final LMOtsParameters sha256_n32_w2

    - #### sha256_n32_w4

          public static final LMOtsParameters sha256_n32_w4

    - #### sha256_n32_w8

          public static final LMOtsParameters sha256_n32_w8

    - #### sha256_n24_w1

          public static final LMOtsParameters sha256_n24_w1

    - #### sha256_n24_w2

          public static final LMOtsParameters sha256_n24_w2

    - #### sha256_n24_w4

          public static final LMOtsParameters sha256_n24_w4

    - #### sha256_n24_w8

          public static final LMOtsParameters sha256_n24_w8

    - #### shake256_n32_w1

          public static final LMOtsParameters shake256_n32_w1

    - #### shake256_n32_w2

          public static final LMOtsParameters shake256_n32_w2

    - #### shake256_n32_w4

          public static final LMOtsParameters shake256_n32_w4

    - #### shake256_n32_w8

          public static final LMOtsParameters shake256_n32_w8

    - #### shake256_n24_w1

          public static final LMOtsParameters shake256_n24_w1

    - #### shake256_n24_w2

          public static final LMOtsParameters shake256_n24_w2

    - #### shake256_n24_w4

          public static final LMOtsParameters shake256_n24_w4

    - #### shake256_n24_w8

          public static final LMOtsParameters shake256_n24_w8

  - ### Constructor Detail

    - #### LMOtsParameters

          protected LMOtsParameters(int type,
                                    int n,
                                    int w,
                                    int p,
                                    int ls,
                                    int sigLen,
                                    ASN1ObjectIdentifier digestOID)

  - ### Method Detail

    - #### getType

          public int getType()

    - #### getN

          public int getN()

    - #### getW

          public int getW()

    - #### getP

          public int getP()

    - #### getLs

          public int getLs()

    - #### getSigLen

          public int getSigLen()

    - #### getDigestOID

          public ASN1ObjectIdentifier getDigestOID()

    - #### getParametersForType

          public static LMOtsParameters getParametersForType(int type)